<?php
    get_header();    
    $danny_archive_layout = get_theme_mod('danny_archive_layout', true);
    $danny_disable_archive_sidebar = get_theme_mod('danny_disable_archive_sidebar', true);
    if ( $danny_disable_archive_sidebar ) {
        $danny_col_md = 12;
    } else {
        $danny_col_md = 9;
    }
?>
<div class="container">
    <div id="main">
        <div class="archive-box">
		<?php if ( is_category() ) : ?>
            <span><?php esc_html_e('Browsing Category', 'catania'); ?>: </span>
		    <h3><?php printf( __('%s', 'catania'), single_cat_title('', false) ); ?></h3>
        <?php elseif ( is_tag() ) : ?>
            <span><?php esc_html_e('Browsing Tag', 'catania'); ?>: </span>
			<h3><?php printf(__('%s', 'catania'), single_tag_title('', false)); ?></h3>
        <?php elseif ( is_author() ) : ?>
            <span><?php esc_html_e('All Posts By', 'catania'); ?>: </span>
			<h3><?php the_post(); echo get_the_author(); ?></h3>
        <?php else : ?>
			<?php if ( is_day() ) : ?>
			<span><?php esc_html_e('Daily Archives', 'catania'); ?>: </span>
            <h3><?php echo get_the_date(); ?></h3>            
            <?php elseif ( is_month() ) : ?>
            <span><?php esc_html_e('Monthly Archives', 'catania'); ?>: </span>
            <h3><?php echo get_the_date( _x( 'F Y', 'monthly archives date format', 'catania' ) ); ?></h3>            
            <?php elseif ( is_year() ) : ?>
            <span><?php esc_html_e('Yearly Archives', 'catania'); ?>: </span>
			<h3><?php echo get_the_date( _x( 'Y', 'yearly archives date format', 'catania' ) ); ?></h3>			
            <?php else : ?>
                    <h3><?php esc_html_e('Archives', 'catania'); ?>: </h3>
			<?php endif; ?>
        <?php endif; ?>
		</div>
        <div class="row">
        <div class="col-md-9">
        <?php if ( have_posts() ) : global $danny_like_post; ?>
            <?php while ( have_posts() ) : the_post(); ?>
            <?php $sticky_class = ( is_sticky() ) ? 'is_sticky' : null; ?>
            <article <?php post_class("post {$sticky_class}"); ?>>                
                <div class="post-content">
                    <p class="post-cats"><?php the_category(", "); ?></p>                   
                    <?php if ( get_the_title() ) : ?>
                    <h4 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                    <?php endif; ?>                    
                    <div class="text-center post-date"><a href="<?php echo get_day_link( get_the_time('Y'), get_the_time('m'), get_the_time('d') ); ?> "><?php the_time(get_option('date_format')); ?></a></div>
                    <?php get_template_part('template-parts/post', 'format'); ?>
                    <div class="post-except">
                        <?php danny_the_excerpt_max_charlength(350); ?>
                    </div>
                    <p class="readmore">
                        <a href="<?php the_permalink(); ?>" class="link-more">Read more</a>
                    </p>
                    <?php get_template_part( 'template-parts/post', 'share' ); ?>
                </div>
            </article>
            <?php endwhile; ?>
        <?php else: ?>
            <?php get_template_part('template-parts/post', 'none'); ?>
        <?php endif; ?>
        <?php danny_pagination(); ?>
        </div>
        <div class="col-md-3 sidebar"><?php get_sidebar(); ?></div>
    </div>
    </div>    
</div>
<?php get_footer(); ?>